function WindowTarget()
{
    this.name = "target";
    this.layer = 1;
    this.animation_time_in = 20;
    this.animation_time_out = 20;

    this.getImg.x = 160*devise_size;
    this.getImg.y = 2048;
    this.getImg.regX = 110*devise_size;
    this.getImg.regY = 51*devise_size;

    var bg = ss_data.clone();
    bg.gotoAndStop("window");
    this.getImg.addChild(bg);

    var up = ss_data.clone();
    up.gotoAndStop("text_target_complete");
    up.x = 43*devise_size;
    up.y = 27*devise_size;
    this.getImg.addChild(up);
}
WindowTarget.prototype = new ClassWindow();

WindowTarget.prototype.Show = function()
{
    this.getImg.y = 2048;
    this.time = 0;
};

WindowTarget.prototype.DrwIn = function()
{
    this.getImg.y = (-105 + 345*(this.animation/this.animation_time_in))*devise_size;
};

WindowTarget.prototype.DrwOut = function()
{
    this.getImg.y = (240 + 345*(this.animation/(-this.animation_time_out)))*devise_size;
    if(this.animation == -this.animation_time_out) this.getImg.y = 2048;
};

WindowTarget.prototype.Drw = function()
{
    if(this.isSt())
    {
        this.time++;
        if(this.time > 30)
        {
            this.time=0;
            window_controller.Show("location");
        }
    }
};
